Kdenlive   bug tracker Home page

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000213KdenliveUser Interfacepublic2008-10-16 10:492008-11-12 22:22
Reporterdoitux 
Assigned To 
PrioritynormalSeverityminorReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product VersionRecent git 
Target Version0.7.0Fixed in Version0.7.0 
Summary0000213: hard to get the "add transition" indicator in some timeline zoom states
DescriptionThere are some timeline zoom states where it is hard to get the "add transition" mouse cursor with the forefinger. I have tried to capture it but unfortunately the screengrab doesnt grab the different cursor pix.

http://www.pokerth.net/capture0003.avi [^]

If you zoom in sometimes it become easier to get the indicator and just click to add the transition.
Additional Informationclipitem.cpp:678
  } else if (qAbs((int)(pos.x() - (rect.x() + 16))) < maximumOffset && qAbs((int)(pos.y() - (rect.y() + rect.height() / 2 + 5))) < 6) {
        setToolTip(i18n("Add transition"));
        return TRANSITIONSTART;
    } else if (qAbs((int)(pos.x() - (rect.x() + rect.width() - 21))) < maximumOffset && qAbs((int)(pos.y() - (rect.y() + rect.height() / 2 + 5))) < 6) {
        setToolTip(i18n("Add transition"));

I dont really understand this part but i think some fixed values like < 6 or -21 could be the problem in different zoom states.
I can imagine that it is hard to implement this different mouse-over effects on this very small area on start and beginning of a clip.

May it is possible to get the projectScene()->m_transitionPixmap (from clipitem.cpp:616 ) position and add this as mouseover-indicator to the function above?

clipitem.cpp:616
  painter->drawPixmap(p1, projectScene()->m_transitionPixmap);

Another idea would be the indicator for add transition on the bottom left and bottom right corner like it works fine for add fade in and fade out.

Btw: thx for this really great piece of software. 0.7 will be the best kdenlive ever!!!
TagsNo tags attached.
Build/Install Method
Attached Files

- Relationships

-  Notes
(0000447)
administrator (administrator)
2008-10-18 23:21

Should be fixed now, thanks

- Issue History
Date Modified Username Field Change
2008-10-16 10:49 doitux New Issue
2008-10-18 23:21 administrator Note Added: 0000447
2008-10-18 23:21 administrator Status new => resolved
2008-10-18 23:21 administrator Resolution open => fixed
2008-10-23 00:20 madsdyd Target Version => 0.7.0
2008-10-23 00:22 madsdyd Status resolved => closed
2008-11-12 22:22 madsdyd Fixed in Version => 0.7.0


Copyright © 2000 - 2014 MantisBT Team
Powered by Mantis Bugtracker